<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnsToProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->string('shipping_duration')->after('point')->nullable();
            $table->string('product_warranty')->after('point')->nullable();
            $table->string('product_return')->after('point')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn('shipping_duration')->nullable();
            $table->dropColumn('product_warranty')->nullable();
            $table->dropColumn('product_return')->nullable();
        });
    }
}
